from typing import Optional

from pydantic import BaseModel
from pydantic_settings import BaseSettings
from dotenv import find_dotenv

LOGGER_NAME = "point-median-frontend"


class Settings(BaseSettings):
    BACKEND_URL: str = "http://localhost:8000"

    class Config:
        env_file = find_dotenv()


settings = Settings()
